Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PRStream

    java.lang.Object
      com.lowagie.text.pdf.PdfObject
          com.lowagie.text.pdf.PdfDictionary
              com.lowagie.text.pdf.PdfStream
                  com.lowagie.text.pdf.PRStream

    public class PRStream

extends PdfStream

Field Summary
`protected int` | `length`
`protected int` | `objGen`
`protected int` | `objNum`
`protected int` | `offset`
`protected PdfReader` | `reader`

Fields inherited from class com.lowagie.text.pdf.PdfStream
`compressed, ENDSTREAM, inputStream, inputStreamLength, rawLength, ref, SIZESTREAM, STARTSTREAM, streamBytes, writer`

Fields inherited from class com.lowagie.text.pdf.PdfDictionary
`CATALOG, FONT, hashMap, OUTLINES, PAGE, PAGES`

Fields inherited from class com.lowagie.text.pdf.PdfObject
`ARRAY, BOOLEAN, bytes, DICTIONARY, INDIRECT, indRef, NAME, NOTHING, NULL, NUMBER, STREAM, STRING, TEXT_PDFDOCENCODING, TEXT_UNICODE, type`

Constructor Summary
`PRStream(PdfReader reader, byte[] conts)`
`PRStream(PdfReader reader, int offset)`
`PRStream(PRStream stream, PdfDictionary newDic)`
`PRStream(PRStream stream, PdfDictionary newDic, PdfReader reader)`

Method Summary
`byte[]` | `getBytes()` Gets the presentation of this object in a byte array
`int` | `getLength()`
`(package private) int` | `getObjGen()`
`(package private) int` | `getObjNum()`
`int` | `getOffset()`
`PdfReader` | `getReader()`
`void` | `setData(byte[] data)` Sets the data associated with the stream
`void` | `setLength(int length)`
`void` | `setObjNum(int objNum, int objGen)`
`void` | `toPdf(PdfWriter writer, OutputStream os)` Returns the PDF representation of this `PdfDictionary`.

Methods inherited from class com.lowagie.text.pdf.PdfStream
`flateCompress, getRawLength, superToPdf, toString, writeContent, writeLength`

Methods inherited from class com.lowagie.text.pdf.PdfDictionary
`contains, get, getAsArray, getAsBoolean, getAsDict, getAsIndirectObject, getAsName, getAsNumber, getAsStream, getAsString, getDirectObject, getKeys, isCatalog, isFont, isOutlineTree, isPage, isPages, merge, mergeDifferent, put, putAll, putEx, remove, size`

Methods inherited from class com.lowagie.text.pdf.PdfObject
`canBeInObjStm, getIndRef, isArray, isBoolean, isDictionary, isIndirect, isName, isNull, isNumber, isStream, isString, length, setContent, setIndRef, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### reader

    protected PdfReader reader

### offset

    protected int offset

### length

    protected int length

### objNum

    protected int objNum

### objGen

    protected int objGen

Constructor Detail

### PRStream

    public PRStream(PRStream stream,
                    PdfDictionary newDic)

### PRStream

    public PRStream(PRStream stream,
                    PdfDictionary newDic,
                    PdfReader reader)

### PRStream

    public PRStream(PdfReader reader,
                    int offset)

### PRStream

    public PRStream(PdfReader reader,
                    byte[] conts)

Method Detail

### setData

    public void setData(byte[] data)

  Sets the data associated with the stream

  Parameters:
    `data` - raw data, decrypted and uncompressed.

### setLength

    public void setLength(int length)

### getOffset

    public int getOffset()

### getLength

    public int getLength()

### getReader

    public PdfReader getReader()

### getBytes

    public byte[] getBytes()

  Description copied from class: `PdfObject`
  Gets the presentation of this object in a byte array

  Overrides:
    `getBytes` in class `PdfObject`
  Returns:
    a byte array

### setObjNum

    public void setObjNum(int objNum,
                          int objGen)

### getObjNum

    int getObjNum()

### getObjGen

    int getObjGen()

### toPdf

    public void toPdf(PdfWriter writer,
                      OutputStream os)
               throws IOException

  Description copied from class: `PdfDictionary`
  Returns the PDF representation of this `PdfDictionary`.

  Overrides:
    `toPdf` in class `PdfStream`
  Parameters:
    `writer` - for backwards compatibility
    `os` - the outputstream to write the bytes to.
  Throws:
    `IOException`
  See Also:
    `PdfDictionary.toPdf(com.lowagie.text.pdf.PdfWriter, java.io.OutputStream)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD